Get location information
post
/bi/v1/{orgIdentifier}/getLocationDimensions
Gets the location information for all or a specified location.
Request
Path Parameters
-
orgIdentifier(required): string
Unique identifier of the organization name
The request body defines the details of the API request.
Root Schema : locDimRequestPayload
Type:
objectRequest payload for location dimensions
Show Source
-
applicationName:
string
Title:
Application NameMaximum Length:128The name of the application which is accessing the API.First Available Version: 20.1.10
-
include:
string
Title:
IncludeList of objects to include in response -
locRef:
string
Title:
Location ReferenceThe location reference, this may be a store number or name depending on the organization -
searchCriteria:
string
Title:
Search CriteriaSearch criteria to filter results based on field value
Response
Supported Media Types
- application/json
200 Response
OK
Root Schema : locationDimensions
Type:
Show Source
object-
locations(required):
array locations
An array of Location Dimensions
Nested Schema : locations
Type:
arrayAn array of Location Dimensions
Show Source
-
Array of:
object location
The response body contains information about a specified location.
Nested Schema : location
Type:
objectThe response body contains information about a specified location.
Show Source
-
active(required):
boolean
Title:
ActiveFlag indicating if this location is active or not -
addrLn1:
string
Title:
Address Line 1Maximum Length:250Address Line 1. This attribute is optional and will not be returned in the response by default.First available version 20.1.16
-
addrLn2:
string
Title:
Address Line 2Maximum Length:250Address Line 2. This attribute is optional and will not be returned in the response by default.First available version 20.1.16
-
addrLn3:
string
Title:
Address Line 3Maximum Length:250Address Line 3. This attribute is optional and will not be returned in the response by default.First available version 20.1.16
-
city:
string
Title:
CityMaximum Length:40City for the relevant location or revenue center. This attribute is optional and will not be returned in the response by default. Use the include request attribute to request this field.First available version: 20.5.
-
countryCode:
string
Title:
Two character country codeMaximum Length:2Two character country code as defined in ISO 3166-2 standard. This attribute is optional and will not be returned in the response by default.First available version 20.1.16
-
countryName:
string
Title:
Country nameMaximum Length:50Country name as defined in ISO 3166-2 standard. This attribute is optional and will not be returned in the response by default.First available version 20.1.16
-
curr(required):
string
Title:
CurrencyMaximum Length:3Abbreviation of the currency configured at the location. This attribute will not be returned in the response if value is null -
locRef(required):
string
Title:
Location ReferenceMaximum Length:99The location reference, this may be a store number or name depending on the organization -
name(required):
string
Title:
NameMaximum Length:99Name of the location -
openDt(required):
string(date)
Title:
Open DateThe date this location was opened -
phone:
string
Title:
Telephone numberMaximum Length:20Telephone number. This attribute is optional and will not be returned in the response by default.First available version 20.1.16
-
phoneCountryCode:
string
Title:
Telephone country codeMaximum Length:2Telephone country code. This attribute is optional and will not be returned in the response by default.First available version 20.1.16
-
postalCode:
string
Title:
ZIP or PostalcodeMaximum Length:20ZIP or Postalcode. This attribute is optional and will not be returned in the response by default.First available version 20.1.16
-
regionCode:
string
Title:
Region codeMaximum Length:6Region code as defined in ISO 3166-2 standard for subdivisions. This attribute is optional and will not be returned in the response by default.First available version 20.1.16
-
regionName:
string
Title:
Region nameMaximum Length:40Region name as defined in ISO 3166-2 standard for subdivisions. This attribute is optional and will not be returned in the response by default.First available version 20.1.16
-
srcName(required):
string
Title:
Source NameMaximum Length:99The name of the POS system associated with this location -
srcVer(required):
string
Title:
Source VersionMaximum Length:99The POS version associated with this location -
tz(required):
string
Title:
Time ZoneMaximum Length:99Time zone configured at the location -
workstations(required):
array Workstations
Title:
WorkstationsAn array of workstations. This attribute will not be returned in the response if there are no workstations associated
Nested Schema : Workstations
Type:
arrayTitle:
WorkstationsAn array of workstations. This attribute will not be returned in the response if there are no workstations associated
Show Source
-
Array of:
object workStation
The response body contains information about a workstation for the specified location.
Nested Schema : workStation
Type:
objectThe response body contains information about a workstation for the specified location.
Show Source
-
wsName(required):
string
Title:
Workstation NameMaximum Length:99Workstation Name. This attribute will not be returned in the response if value is null -
wsNum(required):
integer
Title:
Workstation NumberMaximum Length:16Workstation number
400 Response
Bad Request
Root Schema : exceptionDetailType
Type:
objectError Details
Show Source
-
detail:
string
Title:
Error DescriptionThe description of the error -
o:errorCode(required):
integer
Title:
Oracle Error CodeOracle error code -
status:
integer
Title:
StatusHTTP Response Code -
title(required):
string
Title:
TitleHigh level description of the error -
type(required):
string
Title:
TypeThe description of the type of HTTP error
401 Response
Unauthorized
Root Schema : exceptionDetailType
Type:
objectError Details
Show Source
-
detail:
string
Title:
Error DescriptionThe description of the error -
o:errorCode(required):
integer
Title:
Oracle Error CodeOracle error code -
status:
integer
Title:
StatusHTTP Response Code -
title(required):
string
Title:
TitleHigh level description of the error -
type(required):
string
Title:
TypeThe description of the type of HTTP error
403 Response
Service Unavailable
Root Schema : exceptionDetailType
Type:
objectError Details
Show Source
-
detail:
string
Title:
Error DescriptionThe description of the error -
o:errorCode(required):
integer
Title:
Oracle Error CodeOracle error code -
status:
integer
Title:
StatusHTTP Response Code -
title(required):
string
Title:
TitleHigh level description of the error -
type(required):
string
Title:
TypeThe description of the type of HTTP error
404 Response
Resource Not Found
Root Schema : exceptionDetailType
Type:
objectError Details
Show Source
-
detail:
string
Title:
Error DescriptionThe description of the error -
o:errorCode(required):
integer
Title:
Oracle Error CodeOracle error code -
status:
integer
Title:
StatusHTTP Response Code -
title(required):
string
Title:
TitleHigh level description of the error -
type(required):
string
Title:
TypeThe description of the type of HTTP error
Default Response
Unexpected Error
Root Schema : exceptionDetailType
Type:
objectError Details
Show Source
-
detail:
string
Title:
Error DescriptionThe description of the error -
o:errorCode(required):
integer
Title:
Oracle Error CodeOracle error code -
status:
integer
Title:
StatusHTTP Response Code -
title(required):
string
Title:
TitleHigh level description of the error -
type(required):
string
Title:
TypeThe description of the type of HTTP error
Examples
The following example shows how to get the location dimensions for a specified location by submitting a POST request on the REST resource using cURL. For more information, see Use cURL
curl -i -X POST -H "Authorization: Bearer" -H "Content-Type:application/json" -d {"locRef":"1234"} https://baseurl/bi/v1/orgidentifier/getLocationDimensions
Example of Response Header
The following shows an example of the response header.
HTTP/1.1 200 OK Date: Tue, 20 Oct 2020 21:24:33 GMT Transfer-Encoding: chunked Content-Type: application/json
Example of Response Body
The following example shows the contents of the response body in JSON format:
{
"locations":[{
"locRef": "1234",
"name": "McLean VA",
"openDt": "2010-07-20",
"active": true,
"srcName": "Simphony",
"srcVer": "18.2",
"tz": "America/Denver",
"curr": "USD",
"addrLn1": "7031 Columbia Gateway Dr",
"addrLn2": "Floor 3",
"addrLn3": "Columbia, MD 21046",
"postalCode": "21046",
"phone": "4432856000",
"phoneCountryCode": "1",
"countryCode": "US",
"countryName": "United States",
"regionCode": "MD",
"regionName": "Maryland"
"workstations":[{
"wsNum":1,
"wsName": "register 1"
}]
}]
}